Topic on Skin talk:Medik

Jump to navigation Jump to search

Deprecated: SkinMedik overrides setupSkinUserCss which was deprecated in MediaWiki 1.32

3
Summary by Slepi

Should be fixed since skin version 3.2.1 as issue #34

Noloader (talkcontribs)

Hi Everyone,

We recently updated to Mediawiki 1.36. I'm testing some of our installed skins under it.

Use of Erudite is causing these warnings to be printed on the top of each page:

Deprecated: SkinMedik overrides setupSkinUserCss which was deprecated in MediaWiki 1.32. [Called from OutputPage::getRlClient in /var/www/html/w/includes/OutputPage.php at line 3017] in /var/www/html/w/includes/debug/MWDebug.php on line 376

and:

Deprecated: Use of Skin::setupSkinUserCss was deprecated in MediaWiki 1.32. [Called from SkinMedik::setupSkinUserCss in /var/www/html/w/skins/medik/includes/SkinMedik.php at line 46] in /var/www/html/w/includes/debug/MWDebug.php on line 376

and:

Deprecated: Use of BaseTemplate::getFooterIcons was deprecated in MediaWiki 1.35. [Called from MedikTemplate::getFooterBlock in /var/www/html/w/skins/medik/includes/MedikTemplate.php at line 682] in /var/www/html/w/includes/debug/MWDebug.php on line 376

I have no idea why we are running debug code on a production server. I guess that's a separate issue for the Mediawiki folks.

My apologies if this is not a Erudite issue.

Our mediawiki information can be found here.

Slepi (talkcontribs)

Hello @Noloader, thank you for catching these! I'll try to fix them as soon as possible. I only need to test that on older MediaWiki versions.

Noloader (talkcontribs)

Thanks Slepi.

This is still a problem in Mediawiki 1.36.1.